package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 订单类型(报名、续费、小课购买、其他)
 */
public enum OrderTypeEnum implements BaseEnum<String, OrderTypeEnum> {
    APPLY("APPLY", "乐团报名"),
    ADD_STUDENT("ADD_STUDENT", "乐团报名"),
    RENEW("RENEW", "乐团续费"),
    SPORADIC("SPORADIC", "缴费"),
    OTHER("OTHER", "其他订单"),
    SMALL_CLASS_TO_BUY("SMALL_CLASS_TO_BUY", "VIP课报名"),
    PRACTICE_GROUP_BUY("PRACTICE_GROUP_BUY", "网管课报名"),
    PRACTICE_GROUP_RENEW("PRACTICE_GROUP_RENEW", "网管课续费"),
    COURSE_GROUP_BUY("COURSE_GROUP_BUY", "课程购买"),
    //余额充值活动
    LUCK("LUCK", "福袋活动"),
    DOUBLE_ELEVEN2020("DOUBLE_ELEVEN2020", "2020双十一活动"),
    DOUBLE_ELEVEN2021("DOUBLE_ELEVEN2021", "2021双十一活动"),
    TENANT_RECHARGE("TENANT_RECHARGE", "账户充值"),
    GOODS_SELL("GOODS_SELL", "商品购买"),
    OUTORDER("OUTORDER", "导入订单"),
    //细分对外订单
    SCHOOL("SCHOOL", "学校订单"),
    PERSONAL("PERSONAL", "个人订单"),
    REPAIR("REPAIR", "乐器维修"),
    SUBJECT_CHANGE("SUBJECT_CHANGE", "声部更换"),
    //包含考级费用和乐理课费用，乐理课的费用在detail里面，对于的订单类型是 DEGREE_REGISTRATION
    DEGREE_REGISTRATION("DEGREE_REGISTRATION", "考级报名"),
    MAINTENANCE("MAINTENANCE", "乐器保养"),
    REPLACEMENT("REPLACEMENT", "乐器置换"),
    DEGREE("DEGREE", "6.1考级活动"),
    ACTIVITY("ACTIVITY", "活动购买"),
    MEMBER("MEMBER", "会员购买"),
    LIVE_BUY("LIVE_BUY", "直播购物"),
    MALL_BUY("MALL_BUY", "商城购物");


    private String code;

    private String msg;

    OrderTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
